WWW::Topica::Reply(3pm)

NAME
WWW::Topica::Index - parse a single Topic mailing list index

SYNOPSIS
    my $index = WWW::Topic::Index->new($index_html);

    foreach my $message_id ($index->message_ids) {
        # the mail has some information and also provides a link to the reply ...
        my $mail  = WWW::Topica::Mail->new($topica->fetch_mail($mess_id), $mess_id);
        # which has other information (like the un-htmled mail and the email address) ...
        my $reply = WWW::Topica::Reply->new($topica->fetch_reply($mail->id, $mail->eto), $mail->id, $mail->eto);
    }

    print "Next offset is ".$index->next."\n";
    print "Previous offset is ".$index->prev."\n";

DESCRIPTION
Used to parse a single reply page from Topica.com's mailing list indexes.

Reply pages have the body of the email (albeit quoted) and potentially a full email address.

METHODS

  new <page html> <message id> <eto>
Takes the html of the page, the eto and the message-id and parses the html.

  parse <html>
Parse the html to get the subject, email address and body of the email.

  id
Get the message id

  eto
Get the message eto

  email
Get the email address parsed out.

  subject
Get the email subject parsed out.

  body
Get the email body parsed out.

AUTHOR
Simon Wistow <simon@thegestalt.org>

COPYRIGHT
Copyright (c) 2004, Simon Wistow